/**
 * output package name
 */
package com.kingdee.eas.custom.esign.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class ComponentTypeEnum extends IntEnum
{
    public static final int SINGLELINETEXT_VALUE = 1;//alias=单行文本
    public static final int NUMBER_VALUE = 2;//alias=数字
    public static final int DATE_VALUE = 3;//alias=日期
    public static final int SIGN_AREA_VALUE = 6;//alias=签署区
    public static final int MULTILINETEXT_VALUE = 8;//alias=多行文本
    public static final int CHECKBOX_VALUE = 9;//alias=复选
    public static final int RADIOBUTTON_VALUE = 10;//alias=单选
    public static final int IMAGE_VALUE = 11;//alias=图片
    public static final int COMBOBOX_VALUE = 14;//alias=下拉框
    public static final int TICKBOX_VALUE = 15;//alias=勾选框
    public static final int ID_CARD_NUMBER_VALUE = 16;//alias=身份证号
    public static final int REMARK_SIGN_AREA_VALUE = 17;//alias=备注签署区
    public static final int PHONE_NUMBER_VALUE = 18;//alias=手机号
    public static final int PERFORATED_SIGN_AREA_VALUE = 106;//alias=骑缝签署区
    public static final int DATESIGNATURE_VALUE = 21;//alias=签署日期

    public static final ComponentTypeEnum SINGLELINETEXT = new ComponentTypeEnum("SINGLELINETEXT", SINGLELINETEXT_VALUE);
    public static final ComponentTypeEnum NUMBER = new ComponentTypeEnum("NUMBER", NUMBER_VALUE);
    public static final ComponentTypeEnum DATE = new ComponentTypeEnum("DATE", DATE_VALUE);
    public static final ComponentTypeEnum SIGN_AREA = new ComponentTypeEnum("SIGN_AREA", SIGN_AREA_VALUE);
    public static final ComponentTypeEnum MULTILINETEXT = new ComponentTypeEnum("MULTILINETEXT", MULTILINETEXT_VALUE);
    public static final ComponentTypeEnum CHECKBOX = new ComponentTypeEnum("CHECKBOX", CHECKBOX_VALUE);
    public static final ComponentTypeEnum RADIOBUTTON = new ComponentTypeEnum("RADIOBUTTON", RADIOBUTTON_VALUE);
    public static final ComponentTypeEnum IMAGE = new ComponentTypeEnum("IMAGE", IMAGE_VALUE);
    public static final ComponentTypeEnum COMBOBOX = new ComponentTypeEnum("COMBOBOX", COMBOBOX_VALUE);
    public static final ComponentTypeEnum TICKBOX = new ComponentTypeEnum("TICKBOX", TICKBOX_VALUE);
    public static final ComponentTypeEnum ID_CARD_NUMBER = new ComponentTypeEnum("ID_CARD_NUMBER", ID_CARD_NUMBER_VALUE);
    public static final ComponentTypeEnum REMARK_SIGN_AREA = new ComponentTypeEnum("REMARK_SIGN_AREA", REMARK_SIGN_AREA_VALUE);
    public static final ComponentTypeEnum PHONE_NUMBER = new ComponentTypeEnum("PHONE_NUMBER", PHONE_NUMBER_VALUE);
    public static final ComponentTypeEnum PERFORATED_SIGN_AREA = new ComponentTypeEnum("PERFORATED_SIGN_AREA", PERFORATED_SIGN_AREA_VALUE);
    public static final ComponentTypeEnum DATESIGNATURE = new ComponentTypeEnum("DATESIGNATURE", DATESIGNATURE_VALUE);

    /**
     * construct function
     * @param integer componentTypeEnum
     */
    private ComponentTypeEnum(String name, int componentTypeEnum)
    {
        super(name, componentTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ComponentTypeEnum getEnum(String componentTypeEnum)
    {
        return (ComponentTypeEnum)getEnum(ComponentTypeEnum.class, componentTypeEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static ComponentTypeEnum getEnum(int componentTypeEnum)
    {
        return (ComponentTypeEnum)getEnum(ComponentTypeEnum.class, componentTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ComponentTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ComponentTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ComponentTypeEnum.class);
    }
}